List a Collection Products
curl --request GET \
--url https://staging-api.covver.io/api/ext/v1/collection/{collectionId}/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging-api.covver.io/api/ext/v1/collection/{collectionId}/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging-api.covver.io/api/ext/v1/collection/{collectionId}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isPersonalized": true,
"creationStatus": "Pending",
"data": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"priceRange": {
"minVariantPrice": 123,
"maxVariantPrice": 123
},
"options": [
{
"name": "size",
"values": [
{
"title": "<string>",
"colorCode": "<string>",
"colorCode2": "<string>"
}
]
}
],
"isInStock": true,
"isDiscontinued": true,
"featuredImage": {
"url": "<string>",
"lowResUrl": "<string>",
"width": 123,
"height": 123
},
"status": "Active",
"retailPriceRange": {
"minVariantPrice": 123,
"maxVariantPrice": 123
},
"errors": {
"hasLowResolutionElements": true,
"hasNonCmykElements": true,
"hasBaseProductIssue": true,
"hasNonBlackAndWhiteElements": true,
"isBlank": true,
"hasOldPrintAreas": true
},
"isPersonalized": false,
"notes": "<string>",
"customFields": {}
}
],
"collection": {
"id": "<string>",
"status": "Active",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"rewardType": "Coins",
"deletedAt": "2023-11-07T05:31:56Z",
"image": "<string>",
"imageMobile": "<string>",
"personalizationsUsed": [
"<string>"
]
},
"count": 123
}{
"message": "<string>",
"errorCode": "<string>",
"statusCode": 123,
"error": "<unknown>"
}{
"message": "<string>",
"errorCode": "<string>",
"statusCode": 123,
"error": "<unknown>"
}Swag Catalog
List a Collection Products
List a collection products by collection ID
GET
/
api
/
ext
/
v1
/
collection
/
{collectionId}
/
products
List a Collection Products
Localization (optional)
Use the accept-language header to get translated strings. Supported locales:- en-US (default locale)
- fr-FR
- fr-CA
- es-ES
- es-MX
- en-AU
- en-GB
Examples:
- Accept-Language: *
- Accept-Language: fr
- Accept-Language: fr-FR
- Accept-Language: fr-FR, fr;q=0.9, en;q=0.8, *;q=0.5
Statuses
Multiple statuses can be sent as comma separated valuesFor a personalized collection, poll this API with the same data until
status !== 'Pending' (~20 seconds)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Query Parameters
Available options:
priceHighToLow, priceLowToHigh, alphabeticalAToZ, alphabeticalZToA First name
Last name
Work department (e.g. sales)
Work location (site/city/country)
Start date in ISO format
Birth date in ISO format

